<!doctype html>
<html>
    <head>
        <title>Test Encryption</title>

        <script type="text/javascript" src="https://js.srpago.com/v1/konfiopagos.v2.min.js"></script>
        <script type="text/javascript" src="https://js.srpago.com/v1/srpago.encryption.min.js"></script>
        <script type="text/javascript">

          window.onload = function() { 
  
              SrPago.setLiveMode(false); // false = Sandbox true = Producción
              SrPago.setPublishableKey("<PUBLISHABLE_KEY>");// Aquí va el Public Key
      
              document.getElementById("card-payment-form-button").onclick = function() {
  
                  var onSuccessHandler = function(result){
                      let responseMessage =  document.getElementById("response_message");
                      responseMessage.innerHTML = "Con este token procesará el pago desde su Servidor " + result.token;
                      document.getElementById("tokenInput").value = result.token;
                      document.getElementById("card-payment-form").submit();
                  };
  
                  var onFailHandler = function(error){
                      document.getElementById("response_message").innerHTML = "Error " + error.code + ": " + error.message;
                  };
  
                  var card = {
                      number: document.querySelector('.card-number').value,
                      holder_name: document.querySelector('.card-holder-name').value,
                      cvv: document.querySelector('.card-cvv').value,
                      exp_month: document.querySelector('.card-exp-month').value,
                      exp_year: document.querySelector('.card-exp-year').value
                  };
  
                  SrPago.token.create(card,onSuccessHandler,onFailHandler);
                  return false;
  
              };
  
          };
  
  
      </script>
    </head>
    <body>


      <body>
        <h1>Generar cargo de $12 MXN </h1>
        <form action="" method="POST" id="card-payment-form">


          <dl>
            <dt>Número de tarjeta</dt>
            <dd><input type="text" name="number" maxlength="16"  value="5219999999999999"  class="card-number"  data-card="number" placeholder="Número de tarjeta"/></dd>

            <dt>Nombre de tarjetahabiente</dt>
            <dd><input type="text" name="holder_name" value="TRADICIONAL"  class="card-holder-name"  data-card="holder_name"  placeholder="Tarjetahabiente"/></dd>


            <dt>Fecha de expiración MM/YY</dt>
            <dd>
              <input type="text" name="month" maxlength="2" size="2" class="card-exp-month"  data-card="exp_month" value="11"/>
              <input type="text" name="year" maxlength="2" size="2"  class="card-exp-year"  data-card="exp_year" value="21"/>
            </dd>

            <dt>CVV</dt>
            <dd>
              <input type="password" name="cvv" size="4" data-card="cvv" class="card-cvv"  value="999"/>
            </dd>

          </dl>

          <input type="button" id="card-payment-form-button" value="Pagar ahora"/>

          <hr/><label id="response_message"></label>
        </form>

    </body>
</html>